//******************************************************************************************************************
// id.ino
// Call sendId(pinNumber) to send station ID using tone function.
// Change the letters of the call sign to match yours.                            George Thomas, W5JDX 11/11/2018
//******************************************************************************************************************
int idPitch = 600;                          //frequency of cw tone
int charSpace = 300;                        //delay to space characters of id
int speakerPin = 0;

void sendId(int idPin)
{
    speakerPin = idPin;
    w();                                    //send W 5 J D X
    five();                                 //calls each character routine below
    j();                                    //change letters to match yours
    d();
    x();
}

//------------- code for CW id -- stolen from Tommy Martin, N5ZNO -----------------------------------------------------
void dot()                                  //routine to send a dit
{                                           //this is called by the character routines below
  tone(speakerPin, idPitch, 50);            //play 600 Hz tone for 50ms
  delay(100);                               //delay for 100ms (50ms for tone to play tone + additional 50ms for spacing)
}

void dash()                                 //routine to send a dah
{                                           //this is called by the character routines below
  tone(speakerPin, idPitch, 200);           //play 600 Hz tone for 200ms
  delay(250);                               //delay for 250ms (200ms for tone to play tone + additional 50ms for spacing)
}

void w()                                    //send a W character
{
   dot(); dash(); dash();                   // . - -
   delay(charSpace);                        //put some space before next character
}

void five()                                 //send a 5 character
{
   dot(); dot(); dot();dot(); dot();        // . . . . .
   delay(charSpace);                        //put some space before next character
}

void j()                                    //send a J character
{
   dot(); dash(); dash(); dash();           // . - - -
   delay(charSpace);                        //put some space before next character
}

void d()                                    //send a D character
{
   dash(); dot(); dot();                    // - . .
   delay(charSpace);                        //put some space before next character
}

void x()                                    //send a X character
{
   dash(); dot(); dot(); dash();            // - . . -
   delay(charSpace);                        //put some space before next character
}

